package edu.nyu.scps.datepicker;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.CalendarView;
import android.widget.DatePicker;
import android.widget.TextView;

import java.util.Calendar;


public class MainActivity extends AppCompatActivity {
    int n = 280; //number of days

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        final CalendarView picked = (CalendarView)findViewById(R.id.picked);
        final CalendarView pickedN = (CalendarView)findViewById(R.id.pickedN);
        picked.setEnabled(false); //Make it touch-insensitive.
        pickedN.setEnabled(false);

        DatePicker datePicker = (DatePicker)findViewById(R.id.datePicker);
        Calendar calendar = Calendar.getInstance(); //today's date

        datePicker.init(
                calendar.get(Calendar.YEAR),
                calendar.get(Calendar.MONTH),
                calendar.get(Calendar.DAY_OF_MONTH),
                new DatePicker.OnDateChangedListener() {

            @Override
            public void onDateChanged(DatePicker view, int year, int monthOfYear, int dayOfMonth) {
                Calendar calendar = Calendar.getInstance();
                calendar.set(year, monthOfYear, dayOfMonth);
                picked.setDate(calendar.getTimeInMillis());

                calendar.add(Calendar.DAY_OF_MONTH, n);
                pickedN.setDate(calendar.getTimeInMillis());
            }
        });

        calendar.add(Calendar.DAY_OF_MONTH, n);
        pickedN.setDate(calendar.getTimeInMillis());

        TextView textViewN = (TextView)findViewById(R.id.textViewN);
        textViewN.setText("Selected + " + n);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
